Package org.eclipse.birt.report.model.api.filterExtension

# Class ODAFilterExprProvider

java.lang.Object
org.eclipse.birt.report.model.api.filterExtension.ODAFilterExprProvider

All Implemented Interfaces:
  `IODAFilterExprProvider`

public class ODAFilterExprProvider extends Object implements IODAFilterExprProvider
ODAFilterExprProvider

## Constructor Summary

Constructors
Constructor
Description
`ODAFilterExprProvider()`

## Method Summary

Modifier and Type
Method
Description
`static ODAFilterExprProvider`
`getInstance()`
Returns the singleton instance.
`List<IFilterExprDefinition>`
`getMappedFilterExprDefinitions(String dataSetExtId, String dataSourceExtId)`
Only returns the filter expression which can be mapped between BIRT defined and ODA filter extension provider.
`boolean`
`supportOdaExtensionFilters()`
Indicates if currently under the environment support the ODA extension Filters.
`boolean`
`supportODAFilterPushDown(String dataSourceExtId, String dataSetExtId)`
Indicates if the given data source and data set support the ODA extension Filters.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ODAFilterExprProvider

public ODAFilterExprProvider()

## Method Details

### getInstance

public static ODAFilterExprProvider getInstance()
Returns the singleton instance.

Returns:
  the instance

### getMappedFilterExprDefinitions

public List<IFilterExprDefinition> getMappedFilterExprDefinitions(String dataSetExtId, String dataSourceExtId)
Description copied from interface: `IODAFilterExprProvider`
Only returns the filter expression which can be mapped between BIRT defined and ODA filter extension provider.

Specified by:
  `getMappedFilterExprDefinitions` in interface `IODAFilterExprProvider`
Parameters:
  `dataSetExtId` - oda datasource extension id.
  `dataSourceExtId` - oda dataset extension id.
Returns:
  List of IFilterExprDefinition instance.

### supportOdaExtensionFilters

public boolean supportOdaExtensionFilters()
Description copied from interface: `IODAFilterExprProvider`
Indicates if currently under the environment support the ODA extension Filters.

Specified by:
  `supportOdaExtensionFilters` in interface `IODAFilterExprProvider`
Returns:
  true if supported, false, if not supported.

### supportODAFilterPushDown

public boolean supportODAFilterPushDown(String dataSourceExtId, String dataSetExtId)
Description copied from interface: `IODAFilterExprProvider`
Indicates if the given data source and data set support the ODA extension Filters.

Specified by:
  `supportODAFilterPushDown` in interface `IODAFilterExprProvider`
Parameters:
  `dataSourceExtId` - the extension id of the data source
  `dataSetExtId` - the extension id of the data set
Returns:
  true if supported, false, if not supported.